package org.springblade.estate.feign;

import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import javax.validation.Valid;
import org.springblade.core.mp.support.Condition;
import org.springblade.core.tool.utils.Func;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.bind.annotation.RequestParam;
import org.springblade.estate.entity.AccessStatistics;
import org.springblade.estate.vo.AccessStatisticsVO;
import org.springblade.estate.wrapper.AccessStatisticsWrapper;
import org.springblade.estate.service.IAccessStatisticsService;
import org.springblade.core.boot.ctrl.BladeController;
import java.util.List;
/**
 *  client
 *
 * @author lianghanqiang
 * @since 2021-12-29
 */

@AllArgsConstructor
@RestController
@RequestMapping("/feign/accessstatistics")

public class AccessStatisticsClient implements IAccessStatisticsClient {

    private final IAccessStatisticsService accessStatisticsService;

        /**
     * 详情
     */
    @Override
    @GetMapping("/detail")
    public AccessStatisticsVO detail(AccessStatistics accessStatistics) {
        AccessStatistics detail = accessStatisticsService.getOne(Condition.getQueryWrapper(accessStatistics));
        return AccessStatisticsWrapper.build().entityVO(detail);
        }

    /**
     * 查询 
     */
    @Override
    @GetMapping("/list")
    public List<AccessStatisticsVO> list(AccessStatistics accessStatistics) {
        return AccessStatisticsWrapper.build().listVO(accessStatisticsService.list(Condition.getQueryWrapper(accessStatistics)));
        }

    

    /**
     * 新增 
     */
    @Override
    @PostMapping("/save")
    public boolean save(@Valid @RequestBody AccessStatistics accessStatistics) {
        return accessStatisticsService.save(accessStatistics);
        }

    /**
     * 修改 
     */
    @Override
    @PostMapping("/update")
    public boolean update(@Valid @RequestBody AccessStatistics accessStatistics) {
        return accessStatisticsService.updateById(accessStatistics);
        }

    /**
     * 新增或修改 
     */
    @Override
    @PostMapping("/submit")
    public boolean submit(@Valid @RequestBody AccessStatistics accessStatistics) {
        return accessStatisticsService.saveOrUpdate(accessStatistics);
        }

    
    /**
     * 删除 
     */
    @Override
    @PostMapping("/remove")
    public boolean remove(@ApiParam(value = "主键集合", required = true) @RequestParam String ids) {
        return accessStatisticsService.deleteLogic(Func.toLongList(ids));
        }

    
}
